/*
  Projeto Robô de Esteira c/ Arduino Duemilanove
  Este código de exemplo é de domínio público
  Autor: Pedro Zuchi
 */
 
void setup() {                
  // Inicialização dos pinos de habilitação dos motores
  pinMode(6, OUTPUT); // Habilitação do motor esquerdo
  pinMode(9, OUTPUT); // Habilitação do motor direito
 
  // Inicialização dos pinos de controle da direção
  pinMode(2, OUTPUT); // Sentido de direção da esquerda
  pinMode(3, OUTPUT); // Sentido de direção da direita
  
  pinMode(7, OUTPUT); // Controle do farol
 
  // Inicialização da porta serial
  Serial.begin(9600);  
}

// Loop principal do programa
void loop() {
  int i;
  if (Serial.available() > 0) { // Se algo chegar pela serial
    char C = Serial.read();
    
    switch (C) {
      case 'F':                  //FRENTE
        digitalWrite(6, HIGH); 
        digitalWrite(9, HIGH); 
        digitalWrite(2, HIGH); 
        digitalWrite(3, HIGH); 
        delay(250); 
      break;
      case 'R':                  //RÉ
        digitalWrite(6, HIGH);  
        digitalWrite(9, HIGH);  
        digitalWrite(2, LOW);   
        digitalWrite(3, LOW);    
        delay(250);              
      break;
      case 'D':                  //DIREITA
        digitalWrite(6, HIGH); 
        digitalWrite(9, HIGH); 
        digitalWrite(2, HIGH); 
        digitalWrite(3, LOW); 
        delay(250);           
      break;
      case 'W':                  //DIREITA 180 GRAUS
        digitalWrite(6, HIGH); 
        digitalWrite(9, HIGH); 
        digitalWrite(2, HIGH); 
        digitalWrite(3, LOW); 
        delay(1200);          
        digitalWrite(6, LOW); 
        digitalWrite(9, LOW);
      break;
      case 'E':                  //ESQUERDA
        digitalWrite(6, HIGH); 
        digitalWrite(9, HIGH); 
        digitalWrite(2, LOW);  
        digitalWrite(3, HIGH); 
        delay(250);            
      break;
      case 'Q':                  //ESQUERDA 180 GRAUS
        digitalWrite(6, HIGH);  
        digitalWrite(9, HIGH);  
        digitalWrite(2, LOW);   
        digitalWrite(3, HIGH);    
        delay(1200);              
        digitalWrite(6, LOW); 
        digitalWrite(9, LOW);
      break;
      case 'P':                  //PARAR
        digitalWrite(6, LOW);   
        digitalWrite(9, LOW);   
        delay(250);             
      break;
      case 'L':                  //DESLIGA FAROL
        digitalWrite(7, LOW);   
        delay(250);             
      break;
      case 'M':                  //LIGA FAROL
        digitalWrite(7, HIGH);
        delay(250);
      break;
    }
  }
}
